Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 532169 - Review Request: tzdata-windows2tzid - Maps Windows timezone IDs to the standard TZIDs
Summary: Review Request: tzdata-windows2tzid - Maps Windows timezone IDs to the standa...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-31 01:32 UTC by Oron Peled
Modified: 2013-05-01 15:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-01 15:14:23 UTC


Attachments (Terms of Use)

Description Oron Peled 2009-10-31 01:32:24 UTC
Spec URL: http://oron.fedorapeople.org/tzdata/tzdata-windows2tzid.spec
SRPM URL: http://oron.fedorapeople.org/tzdata/tzdata-windows2tzid-1.7-1.fc11.src.rpm

-- cut -----------------------------------------------------------
Description: Maps Windows timezone IDs to the standard TZIDs
This package maps Windows timezone names into standard TZID timezone names.
The mapping is extracted from the UNICODE data in:
 http://unicode.org/cldr/data/common/supplemental/supplementalData.xml
Installing the package will create the needed symbolic links
in /usr/share/zoneinfo.
-- cut -----------------------------------------------------------

rpmlint results: dangling-relative-symlink -- 91 times.
 * rpmlint is obviously wrong:
   - All these links point to the actual zoneinfo files.
   - These files are contained in the tzdata package
   - My package requires the tzdata package.

Legal questions:
 * The UNICODE xml data file has no copyright. I packaged the copyright file
   from the site -- http://www.unicode.org/copyright.html
   Is this the correct practice? Are there any other packages containing
   some UNICODE data? What do they do?
 * It looks as if the copyright allows free distribution of unmodified
   copies. Am I correct?
 * I wrote the perl script processing the UNICODE data (it's GPL'ed).
   Should we split the script and the data files to different packages
   (a bit absurd) just because they have different licensing?

Comment 1 Jason Tibbitts 2010-11-03 17:57:50 UTC
For legal questions, it's best to block FE-Legal as I've done.  I recall there are some specific issues surrounding that Unicode data.

I agree that the dangling-relative-symlink complaints are not problematic.  rpmlint isn't wrong here; it just doesn't check outside the package.

I wouldn't split the package because one script has a different license; just list all of the licenses and indicate what is under which license.  Although I don't see your script in the final package so I'm not sure why it would make any difference to the licensing.  (Remember that the License: tag covers what's in the final, built RPM, not the source RPM.)

Comment 2 Oron Peled 2010-11-06 18:09:03 UTC
Thanks,

> I wouldn't split the package because one script has a different license;
Also, since I've written this trivial script, I can re-license it to whatever makes it easier to combine with the rest.

> Remember that the License: tag covers what's in the final, built RPM, not the source RPM
I wasn't aware of this. Do we have authoritative pointer for this? After all, the SRPM is distributed too and as a result subjected (IMHO) to the same copyright requirements as the RPM.

If there *is* a legal problem to carry the raw UNICODE file in the SRPM *but* the results of this file (the time zone names themselves) may by freely used, we have another option. Generate hard-coded links in the %build section (without the UNICODE file and my script). This is ugly solution in terms of maintenance, but is still workable.

Comment 3 Tom "spot" Callaway 2012-07-27 18:34:51 UTC
UNICODE Data files are under this license:

http://www.unicode.org/copyright.html#Exhibit1

Which is an MIT variant, so just be sure that "MIT" shows up in the License tag.

Lifting FE-Legal.

(I apologize for the extreme delay in resolving this, I'm not sure how it fell off my radar.)

Comment 4 Jason Tibbitts 2012-08-12 20:40:44 UTC
Still want to get this into the distribution?


Note You need to log in before you can comment on or make changes to this bug.